// import React, {useCallback} from 'react';
import { Button } from 'antd';
import { compose, withHandlers } from 'recompose';
import { withConfirmHOC, spreadButtonPropsHOC } from "./mod/hoc";
export default compose(withConfirmHOC, withHandlers({
  onClick: function onClick(_ref) {
    var onBeforeClick = _ref.onBeforeClick,
      _onClick = _ref.onClick;
    return function (e) {
      onBeforeClick().then(function () {
        _onClick && _onClick(e);
      });
    };
  }
}), spreadButtonPropsHOC)(Button);